Installer - Feature #3308

Installer support for Foreman plugins
10/17/2013 08:51 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Greg Sutcliffe

Category: Foreman modules

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The installer should support installing plugins on top of Foreman, and provide classes which can install and configure plugins
appropriately for most/all of those we provide packages for.

It should also support installing the optional Foreman components like foreman-compute, -libvirt, -vmware etc.

Related issues:
Blocked by Kafo - Feature #3887: Support adding classes to answers file, not ... Closed

Associated revisions

Revision d91d6a54 - 02/17/2014 12:12 PM - Greg Sutcliffe

Refs #3308 - Ensure plugins are installed after core

Revision f5¢7dd34 - 02/24/2014 01:22 PM - Greg Sutcliffe

Refs #3308 - Auto-create mappings hash from detected plugin/compute classes

Revision 25f85a0d - 02/26/2014 12:09 PM - Greg Sutcliffe
Refs #3308 - Add plugins repo and new plugin classes

Revision ac2feb4a - 02/26/2014 12:09 PM - Greg Sutcliffe

Fixes #3308 - Add compute resource classes

Revision a72a1bb4 - 02/26/2014 12:09 PM - Greg Sutcliffe

Refs #3308 Handle underscores vs hyphens with regsubst

History

#1 - 10/17/2013 12:38 PM - Sam Kottler

- Target version set to 1.15.0

#2 - 10/18/2013 09:28 AM - Greg Sutcliffe

| assume all we really need here is an array of extra packages to install?
#3 - 10/18/2013 09:33 AM - Dominic Cleal
Greg Sutcliffe wrote:
| assume all we really need here is an array of extra packages to install?
| think we should provide more than that, bearing in mind the kafo installer interface, i.e. --foreman-libvirt=true is clearer than
--foreman-extra-packages=foreman-libvirt.

For plugins, | don't think a package install is sufficient. I'd say an additional Puppet class that can be enabled is needed (especially if it can use kafo's
module + parameter support), as we'll probably want to provide configuration as well as just a package. Consider column_view as an example, which
has an associated config file. Even for plugins that don't have config yet, we can seamlessly add it later.

#4 - 11/12/2013 12:49 PM - Dominic Cleal
- Target version changed from 1.15.0 to 1.10.0

#5 - 12/04/2013 01:11 PM - Dominic Cleal
- Target version changed from 1.10.0 to 1.9.3

#6 - 01/06/2014 01:00 PM - Dominic Cleal
- Blocked by Feature #3887: Support adding classes to answers file, not just top-level modules added

#7 - 01/06/2014 01:01 PM - Dominic Cleal
- Status changed from Assigned to New

- Assignee deleted (Sam Kottler)

Some support for plugins went into the foreman module, thanks to Ewoud: https://github.com/theforeman/puppet-foreman/pull/132

However we're missing support in foreman-installer itself (blocked on #3887), plus support for extra meta-packages.

#8 - 01/09/2014 02:16 PM - Anonymous
- Target version deleted (1.9.3)

#9 - 02/06/2014 12:19 PM - Anonymous

- Target version set to 1.9.1

#10 - 02/06/2014 12:21 PM - Anonymous

plugins:

- arekatello

- bootdisk

- discovery

- foreman-hooks
- foreman-setup

#11 - 02/10/2014 06:18 PM - Greg Sutcliffe

- Status changed from New to Assigned

I'm looking into this at the moment.

#12 - 02/10/2014 06:28 PM - Daniel Lobato Garcia

Some other plugins worth including in the installer:

puppetdb_foreman
foreman_chef

#13 - 02/10/2014 06:47 PM - Ewoud Kohl van Wijngaarden

There's already foreman::plugin::puppetdb: https:/qgithub.com/theforeman/puppet-foreman/blob/master/manifests/plugin/puppetdb.pp

#14 - 02/12/2014 10:35 AM - Greg Sutcliffe

Daniel - I'm not sure puppetdb or foreman_chef need to be installed by default. As Ewoud says, we already have the puppetdb one in the repo, | can
easily add the foreman_chef entry as well, so you can call it if you like :)

#15 - 02/12/2014 10:39 AM - Dominic Cleal

No, not by default, but they should be available in the installer.

#16 - 02/26/2014 11:59 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

- Assignee set to Greg Blomquist

https://github.com/theforeman/puppet-foreman/pull/156
https://github.com/theforeman/foreman-installer/pull/105
#17 - 02/26/2014 11:59 AM - Dominic Cleal
- Assignee changed from Greg Blomquist to Greg Suitcliffe

#18 - 02/26/2014 01:18 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

#19 - 02/27/2014 03:53 PM - Dominic Cleal

- translation missing: en.field _release set to 4
